Subject: Re: bug#34292: 26.1; ido-everywhere interferes with find-file

From: Noam Postavsky <[email-masked]>
Date: Tue, 02 Apr 2019 20:01:55 -0400

> From: Dave Abrahams <[email-masked]>

> Sorry, I don't know enough about ido's implementation to tell whether
> that's what I'm looking for.  It seems strange that this code should
> affect my use-case, since I must *have* ido-mode; even with emacs -Q,
> (require 'ido) succeeds.

As far as I can tell, the problem is simply that starting ido-everywhere
without also starting ido-mode breaks things.  Hence my suggestion to
signal an error when you try to do that.